require('lsp')
require('transparent')
require('spellcheck')

-- nvim tree setup
require('nvim-tree').setup({
    open_on_tab = false,
    filters = {
        dotfiles = true,
    },
    actions = {
        open_file = {
            quit_on_open = true,
        },
    },
})

showHiddenFiles = false

local function open_nvim_tree(data)

    -- buffer is a directory
    local directory = vim.fn.isdirectory(data.file) == 1

    local empty_file = data.file == ""

    if not directory and not empty_file then
        return
    end

    if directory then
        vim.cmd.cd(data.file)
    end
    vim.cmd.enew()
    vim.cmd.bw(data.buf)
    -- change to directory and open
    require("nvim-tree.api").tree.open()
end

-- nvim-tree open at startup
vim.api.nvim_create_autocmd({ "VimEnter" }, { callback = open_nvim_tree, })

-- fuzzy finder setup
require('telescope').setup({
    defaults = {
        layout_config = {
            horizontal = { width = 0.8 }
        },
    },
})
